function $( id )
{
	return document.getElementById( id );
}
function remoteKeyboard( e )
{
	e = e || window.event;
	switch( e.keyCode )
	{
		case 81: remoteSend( ( e.altKey ? 'REBOOT' : 'w' ) ); break;	// ALT-Q = reboot, Q = Power
		case 36: remoteSend( 'o' ); break;
		case 38: remoteSend( 'u' ); break;
		case 37: remoteSend( 'l' ); break;
		case 13: remoteSend( 'n' ); break;
		case 39: remoteSend( 'r' ); break;
		case 40: remoteSend( 'd' ); break;
		case  8: remoteSend( 'T_back' ); break;
		case 27: remoteSend( 't_stop' ); break;	// ESC
		case 79: remoteSend( 'G' ); break;	// O
		case 82: remoteSend( 'H' ); break;	// R
		case 32: remoteSend( 'p' ); break;	// Space
		case 70: remoteSend( 'I' ); break;		// F
		case 33: remoteSend( '[' ); break;	// P = 80, PAGEUP = 33
		case 34: remoteSend( ']' ); break;	// N = 78, PAGEDOWN = 34
		case 83: remoteSend( 'E' ); break;	// S
		case 69: remoteSend( 'X' ); break;	// E
	}
}
function remoteSend( cmd )
{
	var frm = document.forms['remote'];
	$('send').value = cmd;
	frm.submit();
}

document.onkeydown = remoteKeyboard;